Gauss Rule Pairs
============

ETNA package attached to the paper:

_ Carlos F. Borges and Lothar Reichel_
**Computation of Gauss-type quadrature rules**
ETNA Volume 61, Pages 121-136, 2024
[link](https://etna.ricam.oeaw.ac.at/vol.61.2024/pp121-136.dir/pp121-136.pdf)

---

AUTHORS
-------

- Carlos F. Borges,
       Naval Postgraduate School, Monterey, USA
- Lothar Reichel,
       Kent State University, Kent, USA

> Email: borges@nps.edu, reichel@math.kent.edu

---

DESCRIPTION
-----------
Computing pairs of related Gauss-type quadrature rules

Release: 1.0, February 2024

Programming language: Matlab

License: GNU General Public Licence, Version 2, June 1991

---

DISCLAIMER
----------
ETNA editors have test run the code, but the reponsibility of the correctness
of the code is with the authors. ETNA is not responsible for any problems the 
code may cause; see the file License.md for details.

---

INSTALLATION
------------

The code consists of 15 Matlab m-files and 2 Matlab live scripts that can be used for testing purposes. The Matlab m-files form a self-contained software package. However, the live script Accuracy_Tests.mlx requires the Matlab chebfun package. To download and install chebfun in Matlab please consult the chebfun.org page.

---

PACKAGE USE
-----------

To use the package simply unzip the file into a directory of your choosing and add that directory to the Matlab search path.


---

PACKAGE STRUCTURE
-----------------

The package contains the following files

Accuracy_Tests.mlx
dandcPSF.m
eig_arrow.m
eig_arrow_deflated.m
GaussPlusAntiGauss.m
GaussPlusAntiGaussTraditional.m
GaussPlusGauss.m
GaussPlusGaussLobatto.m
GaussPlusGaussRadau.m
GaussPlusOptimalAveragedGauss.m
GaussPlusOptimalAveragedGaussTraditional.m
GaussRule.m
JacobiRecurrence.m
merge_sorted_ascending.m
Performance_Tests.mlx
README
solve2x2.m
tqrPSF.m




