function T = mxt(a,b,c)

% T = mxt(a,b,c) or T = mxt(a,b) or mxt(n)
%
% T = mxt(a,b,c) is the TRIDIAGONAL MATRIX with diagonal elements a = a(1:n),
% subdiagonal elements b(1:n-1) and superdiagonal elements c(1:n-1).
%
% T = mxt(a,b) is the symmetric tridiagonal matrix with diagonal elements
% a and subdiagonal elements b. 
% T = mxt(n) is a random symmetric tridiagonal of size n.
 
% December 1996 by Carlos Borges.  All rights reserved.

if (nargin < 2)
  b = rand(a-1,1);
  a = rand(a,1);
end

if (nargin > 2)
  T = diag(a) + diag(b,-1) + diag(c,1);
else
  T = diag(a) + diag(b,-1) + diag(b,1);
end

